## libgweather4 4.0.0

=== meson_options.txt ===
option('zoneinfo_dir', type: 'string', value: '/usr/share/zoneinfo',
       description: 'zoneinfo directory')
option('owm_apikey', type: 'string', value: '',
       description: 'Specify an API key for OpenWeatherMap (optional)')
option('enable_vala', type: 'combo', choices : ['true', 'false', 'auto'], value : 'auto',
       description: 'Install vala bindings')
option('gtk_doc', type: 'boolean', value: true,
       description: 'Whether to generate the API reference')
option('introspection', type: 'boolean', value: true,
       description: 'Whether to generate introspection data')
option('tests', type: 'boolean', value: true,
       description: 'Whether to build the tests and tools')
option('soup2', type: 'boolean', value: true,
       description: 'Whether to build with libsoup2')

=== debian/changelog ===
libgweather4 (4.0.0-2) unstable; urgency=medium

  * Team upload
  * gir1.2-gweather-4.0 Breaks gnome-shell (<< 42~alpha).
    Older versions did not specify the version of the GWeather typelib
    to load, so they could end up expecting API version 3.0 but loading 4.0.
    Part of bug #1008926.

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Apr 2022 17:04:31 +0100

libgweather4 (4.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 15:42:51 -0400

libgweather4 (3.99.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.6.0
  * debian/rules: Increase meson build test timeout
  * Make minor packaging adjustments for Ubuntu translations
  * Release to unstable

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 04 Mar 2022 09:55:41 +0100

libgweather4 (3.91.0-1) experimental; urgency=medium

  * Rename source package
    - Required because the version numbering went backwards
      but the new major version uses a new namespace so it works
  * New upstream release
  * Update debian/libgweather-4-0.symbols
  * debian/control.in: Build-Depend on gi-docgen instead of gtk-doc-tools
  * debian/control.in: Drop unused Build-Depends on gtk3 and libglade-ui
  * debian/control.in: Bump minimum glib to 2.68 & meson to 0.55.0
  * debian/rules: minor cleanup
  * debian/copyright: Update
  * Remove all patches: applied in new release
  * Add patch to disable the metar test since it requires Internet
  * debian/rules: Don't ignore build test failures

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Feb 2022 17:36:55 -0500

libgweather (40.0-5) unstable; urgency=medium

  * Team upload
  * d/rules: Collect spelling of glade_catalog Meson options.
    Unimplemented options are considered to be an error by Meson 0.60.
    (Closes: #998546)

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Nov 2021 10:53:04 +0000

libgweather (40.0-4) unstable; urgency=medium

  * Team upload

  [ Laurent Bigonville ]
  * debian/watch: Update to match the new version scheme

  [ Jeremy Bicha ]
  * debian/watch: Watch for stable releases

  [ Simon McVittie ]
  * d/control.in: Increase various Breaks versions for transition #993934.
    We'll get a compatible set of versions more reliably if we require
    a sourceful upload for each affected package.
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Sep 2021 20:51:23 +0100

libgweather (40.0-3) experimental; urgency=medium

  * debian/control: Lower the breaks on an installable gnome-shell version.
    While libgweather 40 really breaks gnome-shell prior to 40, we can lower
    the breaks so that we can upload a fixed gnome 3.38 version in order to
    be able to upload one working with libgweather 40 without having to wait
    for mutter-8 to be out of NEW queue.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 26 May 2021 12:20:45 +0200

libgweather (40.0-2) experimental; urgency=medium

  * debian/control:
    - build-depend on python3-gi and gir1.2-glib-2.0.
      They're used to generate the locations variant file.
    - Sort dependencies alphabetically

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 25 May 2021 20:28:54 +0200

libgweather (40.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release (LP: #1918044)
    - Correct value of GWEATHER_PROVIDER_ALL to include OWM
    - Translation updates: be, kk, uk
    - Give better diagnostics on test failure (no functional change)
  * Drop patches that came from upstream

  [ Marco Trevisan (Treviño) ]
  * New upstream release (LP: #1916827, LP: #1265588):
    - This version contains a number of API and ABI changes that applications
      will need to be modified for, including:
      + An application-id as well as contact information must be provided for
        every application to use online weather services. For GApplication
        based applications, the application ID is prefilled.
      + All online weather providers are disabled by default, applications
        should enable those that it has verified it can follow the terms of
        service for. Note, for example, the requirement to subscribe to the
        met.no API users mailing-list.
      + A lot of the getter functions for the location database now return
        references to objects which the application will need to handle.
        Applications that use JavaScript or Python bindings should not require
        special handling or this change.
  * debian/libgweather-3-16.install: Install files in libgweather library path.
    It contains locations data in binary form for now (that are
    arch-dependent)
  * debian/libgweather-3-16.symbols: Add new symbols
  * debian: Switch to debhelper 13, and simplify rules accordingly
  * debian/control: Add breaks on rdependent packages that need to be updated.
    This version of libgweather requires some updates on its dependencies,
    even if there was no soname change (and no formal ABI break) we're
    actually breaking the ABI at runtime, so various dependencies will need
    to adapt or be rebuilt.
    In particular e-d-s, gnome-panel and gnome-applets only need to be
    rebuilt against, while gnome-shell, gnome-calendar, gnome-weather and
    wmforecast needs new versions.
    Others, didn't require any change (such as gnome-maps) or may only require
    a rebuild to avoid leaks (as g-s-d, evolution or gnome-initial-setup), but
    this update won't really break them.
  * debian/patches: Cherry-pick upstream locations and translations updates
  * debian/control: Update Standards-Version (no change required)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 25 May 2021 19:22:00 +0200

libgweather (3.36.1-3) unstable; urgency=medium

  * d/p/: Add the app ID to HTTP user agent when doing a query to met.no.
    This has been requested by the data provider to be able to track


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libgweather4
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               ca-certificates <!nocheck>,
               dh-sequence-gir,
               dh-sequence-gnome,
               gir1.2-glib-2.0,
               gi-docgen,
               libgeocode-glib-dev,
               libgirepository1.0-dev (>= 0.9.5),
               libglib2.0-dev (>= 2.68.0),
               libglib2.0-doc,
               libsoup2.4-dev (>= 2.44.0),
               libxml2-dev (>= 2.6.0),
               libxml2-utils,
               meson (>= 0.55.0),
               pkg-config (>= 0.19),
               python3-gi,
               tzdata (>= 2016g),
               valac (>= 0.20)
Standards-Version: 4.6.0
Rules-Requires-Root: no
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/libgweather
Vcs-Git: https://salsa.debian.org/gnome-team/libgweather.git
Homepage: https://wiki.gnome.org/Projects/LibGWeather

Package: libgweather-4-0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgweather-4-common (>= 3.5.0)
Breaks: evolution-data-server (<< 3.38.3-2~),
        gnome-applets (<< 3.40.0-5~),
        gnome-calendar (<< 40.0~),
        gnome-panel (<< 3.40.0-3~),
        gnome-shell (<< 40.4-1~),
        gnome-weather (<< 40.0~),
        wmforecast (<< 1.5~)
Description: GWeather shared library
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains shared libraries.

Package: libgweather-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgweather-4-0 (= ${binary:Version}),
         gir1.2-gweather-4.0 (= ${binary:Version}),
         libgeocode-glib-dev,
         libglib2.0-dev (>= 2.35.1),
         libsoup2.4-dev (>= 2.68.0),
         libxml2-dev (>= 2.6.0),
         ${misc:Depends}
Description: GWeather development files
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains the include files and static library.

Package: libgweather-4-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GWeather common files
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains the weather locations.

Package: gir1.2-gweather-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends}
Breaks: gnome-shell (<< 42~alpha)
Description: GObject introspection data for the GWeather library
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains introspection data for the GWeather library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
                             -Denable_vala=true \
                             -Dgtk_doc=true

# Ubuntu's dh_translations can't handle two .pot files yet
# https://launchpad.net/bugs/1751820
override_dh_translations:
	dh_translations --domain=libgweather-4.0
	ninja -C obj-$(DEB_HOST_GNU_TYPE) libgweather-4.0-locations-pot

override_dh_auto_clean:
	dh_auto_clean
	rm -f po-locations/libgweather-4.0-locations.pot

override_dh_auto_test:
	dh_auto_test -- --timeout-multiplier=3

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://download.gnome.org/sources/libgweather/cache.json \
	[\d.]+/libgweather-([\d]\.[\d.]+)@ARCHIVE_EXT@

## libgweather4 4.2.0

=== debian/changelog ===
libgweather4 (4.2.0-2) unstable; urgency=medium

  * debian/control.in: Explicitly Build-Depend on libjson-glib-dev
    and have the libgweather-4-dev Depend on libjson-glib-dev
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 25 Feb 2023 02:40:47 -0500

libgweather4 (4.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 10:15:08 -0400

libgweather4 (4.1.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.57.0
  * debian/libgweather-4.0.symbols: Add new symbol
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 15:58:45 -0400

libgweather4 (4.1.0-2) experimental; urgency=medium

  * debian/control.in: Set Breaks for libsoup3 transition

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 22:38:12 -0400

libgweather4 (4.1.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Update dependencies to build against libsoup3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 08:10:13 -0400

=== debian/control ===
--- 
+++ 
@@ -6,26 +6,27 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Shachnev <mitya57@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Dmitry Shachnev <mitya57@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                ca-certificates <!nocheck>,
                dh-sequence-gir,
                dh-sequence-gnome,
                gir1.2-glib-2.0,
                gi-docgen,
-               libgeocode-glib-dev,
+               libgeocode-glib-dev (>= 3.26.3),
                libgirepository1.0-dev (>= 0.9.5),
                libglib2.0-dev (>= 2.68.0),
                libglib2.0-doc,
-               libsoup2.4-dev (>= 2.44.0),
+               libjson-glib-dev,
+               libsoup-3.0-dev,
                libxml2-dev (>= 2.6.0),
                libxml2-utils,
-               meson (>= 0.55.0),
+               meson (>= 0.57.0),
                pkg-config (>= 0.19),
                python3-gi,
                tzdata (>= 2016g),
                valac (>= 0.20)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgweather
@@ -38,11 +39,11 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libgweather-4-common (>= 3.5.0)
-Breaks: evolution-data-server (<< 3.38.3-2~),
-        gnome-applets (<< 3.40.0-5~),
-        gnome-calendar (<< 40.0~),
+Breaks: evolution-data-server (<< 3.45),
+        gnome-applets (<< 3.40.0-1ubuntu1~),
+        gnome-calendar (<< 43~),
         gnome-panel (<< 3.40.0-3~),
-        gnome-shell (<< 40.4-1~),
+        gnome-shell (<< 42.4-2~),
         gnome-weather (<< 40.0~),
         wmforecast (<< 1.5~)
 Description: GWeather shared library
@@ -57,9 +58,10 @@
 Multi-Arch: same
 Depends: libgweather-4-0 (= ${binary:Version}),
          gir1.2-gweather-4.0 (= ${binary:Version}),
-         libgeocode-glib-dev,
+         libgeocode-glib-dev (>= 3.26.3),
          libglib2.0-dev (>= 2.35.1),
-         libsoup2.4-dev (>= 2.68.0),
+         libjson-glib-dev,
+         libsoup-3.0-dev,
          libxml2-dev (>= 2.6.0),
          ${misc:Depends}
 Description: GWeather development files

## libgweather4 4.3.2

=== debian/changelog ===
libgweather4 (4.3.2-1) unstable; urgency=medium

  * New upstream release
  * debian/libgweather-4.0.symbols: Add new symbols
  * Add 2 patches to fix timezone build test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Aug 2023 14:59:48 -0400

## libgweather4 4.4.0

=== meson_options.txt ===
--- 
+++ 
@@ -10,5 +10,5 @@
        description: 'Whether to generate introspection data')
 option('tests', type: 'boolean', value: true,
        description: 'Whether to build the tests and tools')
-option('soup2', type: 'boolean', value: true,
+option('soup2', type: 'boolean', value: false,
        description: 'Whether to build with libsoup2')

=== debian/changelog ===
libgweather4 (4.4.0-1deepin1) unstable; urgency=medium

  * disable test-libgweather

 -- bluesky <chenchongbiao@deepin.org>  Wed, 13 Dec 2023 11:28:37 +0800

libgweather4 (4.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 09:59:25 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Shachnev <mitya57@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Dmitry Shachnev <mitya57@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                ca-certificates <!nocheck>,
                dh-sequence-gir,

## libgweather4 4.4.2

=== debian/changelog ===
libgweather4 (4.4.2-2) unstable; urgency=medium

  * Team upload
  * Add patch to fix FTBFS due to tzdata 2020a (Closes: #1069361)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 04 Jul 2024 15:17:04 +0200

libgweather4 (4.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Replace deprecated pkg-config build-dependency with pkgconf.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Mar 2024 21:51:39 +0300

libgweather4 (4.4.0-2) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Release to unstable (Closes: #1062360)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 20:58:47 -0500

libgweather4 (4.4.0-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Thu, 01 Feb 2024 07:15:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libgweather4
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Dmitry Shachnev <mitya57@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Dmitry Shachnev <mitya57@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                ca-certificates <!nocheck>,
                dh-sequence-gir,
@@ -22,7 +18,7 @@
                libxml2-dev (>= 2.6.0),
                libxml2-utils,
                meson (>= 0.57.0),
-               pkg-config (>= 0.19),
+               pkgconf,
                python3-gi,
                tzdata (>= 2016g),
                valac (>= 0.20)
@@ -33,13 +29,15 @@
 Vcs-Git: https://salsa.debian.org/gnome-team/libgweather.git
 Homepage: https://wiki.gnome.org/Projects/LibGWeather
 
-Package: libgweather-4-0
+Package: libgweather-4-0t64
+Provides: ${t64:Provides}
+Replaces: libgweather-4-0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libgweather-4-common (>= 3.5.0)
-Breaks: evolution-data-server (<< 3.45),
+Breaks: libgweather-4-0 (<< ${source:Version}), evolution-data-server (<< 3.45),
         gnome-applets (<< 3.40.0-1ubuntu1~),
         gnome-calendar (<< 43~),
         gnome-panel (<< 3.40.0-3~),
@@ -56,7 +54,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libgweather-4-0 (= ${binary:Version}),
+Depends: libgweather-4-0t64 (= ${binary:Version}),
          gir1.2-gweather-4.0 (= ${binary:Version}),
          libgeocode-glib-dev (>= 3.26.3),
          libglib2.0-dev (>= 2.35.1),

## libgweather4 4.4.4

=== debian/changelog ===
libgweather4 (4.4.4-3) unstable; urgency=medium

  * Opt into Salsa CI except for the reproducibility test
  * Remove unnecessary X-Ubuntu-Langpack: yes field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Sep 2025 18:32:20 -0400

libgweather4 (4.4.4-2) unstable; urgency=medium

  * Team upload
  * d/control: Add missing B-D on gir1.2-gio-2.0-dev
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/control: Remove unnecessary B-D on libglib2.0-doc.
    gi-docgen doesn't use this.
  * d/control: Add ${gir:Depends} to -dev package
  * d/control: Remove old Breaks on pre-bookworm packages
  * d/libgweather-4-dev.links: Make API reference more discoverable
  * d/libgweather-4-dev.doc-base.libgweather-4.0: Register API reference
    with doc-base
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 07 Sep 2025 14:40:53 +0100

libgweather4 (4.4.4-1) unstable; urgency=medium

  * New upstream release
  * Add Provides: ${gir:Provides} to libgweather-4-dev
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 14:08:54 -0400

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
                ca-certificates <!nocheck>,
                dh-sequence-gir,
                dh-sequence-gnome,
-               gir1.2-glib-2.0,
                gi-docgen,
+               gir1.2-gio-2.0-dev,
+               gobject-introspection (>= 1.80),
                libgeocode-glib-dev (>= 3.26.3),
-               libgirepository1.0-dev (>= 0.9.5),
                libglib2.0-dev (>= 2.68.0),
-               libglib2.0-doc,
                libjson-glib-dev,
                libsoup-3.0-dev,
                libxml2-dev (>= 2.6.0),
@@ -22,9 +21,7 @@
                python3-gi,
                tzdata (>= 2016g),
                valac (>= 0.20)
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
-X-Ubuntu-Use-Langpack: yes
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/libgweather
 Vcs-Git: https://salsa.debian.org/gnome-team/libgweather.git
 Homepage: https://wiki.gnome.org/Projects/LibGWeather
@@ -37,13 +34,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libgweather-4-common (>= 3.5.0)
-Breaks: libgweather-4-0 (<< ${source:Version}), evolution-data-server (<< 3.45),
-        gnome-applets (<< 3.40.0-1ubuntu1~),
-        gnome-calendar (<< 43~),
-        gnome-panel (<< 3.40.0-3~),
-        gnome-shell (<< 42.4-2~),
-        gnome-weather (<< 40.0~),
-        wmforecast (<< 1.5~)
+Breaks: libgweather-4-0 (<< ${source:Version}),
 Description: GWeather shared library
  libgweather is a library to access weather information from online
  services for numerous locations.
@@ -55,13 +46,14 @@
 Architecture: any
 Multi-Arch: same
 Depends: libgweather-4-0t64 (= ${binary:Version}),
-         gir1.2-gweather-4.0 (= ${binary:Version}),
          libgeocode-glib-dev (>= 3.26.3),
          libglib2.0-dev (>= 2.35.1),
          libjson-glib-dev,
          libsoup-3.0-dev,
          libxml2-dev (>= 2.6.0),
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: GWeather development files
  libgweather is a library to access weather information from online
  services for numerous locations.
@@ -84,7 +76,6 @@
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends}
-Breaks: gnome-shell (<< 42~alpha)
 Description: GObject introspection data for the GWeather library
  libgweather is a library to access weather information from online
  services for numerous locations.

=== debian/rules ===
--- 
+++ 
@@ -24,3 +24,5 @@
 
 override_dh_auto_test:
 	dh_auto_test -- --timeout-multiplier=3
+
+override_dh_gnome_clean:

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/libgweather/cache.json \
	[\d.]+[02468]/libgweather-([\d]\.[\d.]+)@ARCHIVE_EXT@
